{% extends 'base.html' %}
{% block title %}Facelook | Profile{% endblock %}
{% block content %}

<div style="width: 100%;max-width: 600px;gap:20px;margin:0 auto;display:flex;flex-direction: column;">


    <section id="posts-container" class="box"
        style="display:flex;flex-direction: column;width:100%;align-items: center;">
        {% load static %}

        {% if request.user == user %}
        <a class="primary-trigger" href="{% url 'edit_profile' %}" data-cy="goto-edit-profile"  style="margin-left: auto;">Modifier mon profil</a>
        {% endif %}


        <img src="{% static 'user_images/pngegg.png' %}"
            style="object-fit:cover;border-radius: 50px;width:140px;height:140px">


        <h3 style="margin-bottom: 0;">{{ user.first_name }} {{ user.last_name }}</h3>
        <span style="display:flex;font-size: 15px;gap:8px">
            <span style="color:var(--primary-color)">@{{ user.username }}</span>
            <span>{{ user.email }}</span>
        </span>

        <p style="border-radius:5px;background-color:#00000011;padding:2px 6px;font-size:14px;color:#000000DD">
            {{ user.bio }}
        </p>

        {% if request.user != user %}
        <a class="{% if is_following %}background{% else %}primary{% endif %}-trigger"
            href="{% url 'follow_or_unfollow' user.id %}">{% if is_following %}Ne plus suivre{% else %}Suivre{% endif %}</a>
        {% endif %}
        Topics : {{ topics|length }}<br>
        Posts : {{ posts|length }}<br>
        Abonné(s) : {{ followers|length }}<br>
        Abonnements : {{ following|length }}
    </section>



    <section class="box" style="width: 100%;margin-bottom: 20px;">
        <h3>Activité</h3>

        <h5 style="margin:0">Topics crées</h5>
        <ul>
            {% for topic in topics|slice:":5" %}
            <li><a href="{% url 'topic' topic.id %}">{{ topic.title }}</a></li>
            {% endfor %}
            {% if topics|length >= 5 %}
            <li><a href="{% url 'topics_for_user' user.id %}">Voir tous les topics</a></li>
            {% endif %}
        </ul>


        <h5 style="margin:0">Posts crées</h5>

        <ul>
            {% for post in posts|slice:":5" %}
            <li><a href="{% url 'posts'  post.id %}">{{ post.text }}</a></li>
            {% endfor %}
            {% if posts|length >= 5 %}
            <li><a href="{% url 'posts_for_user' user.id %}">Voir tous les posts</a></li>
            {% endif %}
        </ul>


        <h5 style="margin:0">Abonnements</h5>
        <ul>
            {% for follower in followers|slice:":5" %}
            <li><a href="{% url 'profile' follower.user.id %}">@{{ follower.user.username }}</a></li>
            {% endfor %}
        </ul>


        <h5 style="margin:0">Abonnés</h5>
        <ul>
            {% for follow in following|slice:":5" %}
            <li><a href="{% url 'profile' follow.fallower.id %}">@{{ follow.fallower.username }}</a></li>
            {% endfor %}
        </ul>

    </section>
</div>
{% endblock %}
